Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.virtual.version
Class Version

    java.lang.Object
      com.bea.content.virtual.version.VersionableContent
          com.bea.content.virtual.version.Version

All Implemented Interfaces
  Serializable

    public class Version

extends VersionableContent
implements Serializable

Version maintains information on the verion of a VirtualNode. The Version object is created by the Library Services API and it's not intended to be constructed by the customer directly.

Methods which return an `com.bea.content.paging.ISortableFilterablePagedList` from `IVersionManager` can sort and filter the responses. For a discussion on paging, sorting and filtering, see `com.bea.content.paging` and `ContentListKeys`. Native sortable properties for the BEA Repository are found via the `ISortablePagedList.getNativeSortableProperties()` method on a paged list of Node objects.

For Versions in the BEA Repository, the current list of native sortable and filterable properties is:

- versionId
- workflowStatus
- modifiedBy
- modifiedDate
- versionComment

See Also
  Serialized Form

Constructor Summary
`Version(int status, String comment, Property[] properties, String versionName, String modifiedBy, Calendar modifiedDate)` Deprecated
`Version(int status, String comment, Property[] properties, String versionName, String modifiedBy, Calendar modifiedDate, VirtualNode virtualNode)` Create a new Version object.

Method Summary
`String` | `getModifiedBy()` Gets the id of the last user that modified this version.
`Calendar` | `getModifiedDate()` Gets the date this version was last modified.
`String` | `getVersionName()` Gets the name of this version.
`VirtualNode` | `getVirtualNode()` Gets the VirtualNode object that is associated with this Version
`String` | `toString()` Returns the attributes of this Node in a String.

Methods inherited from class com.bea.content.virtual.version.VersionableContent
`addProperty, getComment, getProperties, getProperty, getStatus, setComment, setProperties, setStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Version

    public Version(int status,
                   String comment,
                   Property[] properties,
                   String versionName,
                   String modifiedBy,
                   Calendar modifiedDate)

  Deprecated

### Version

    public Version(int status,
                   String comment,
                   Property[] properties,
                   String versionName,
                   String modifiedBy,
                   Calendar modifiedDate,
                   VirtualNode virtualNode)

  Create a new Version object. The Version object is created by the Library Services API and it's not intended to be constructed by the customer directly.

  Parameters
    `status` - Workflow status.
    `comment` - User created comment for the version.
    `properties` - The node properties for this version.
    `versionName` - The name of this version, ie "1", "2", etc.
    `modifiedBy` - The user that modified this version.
    `modifiedDate` - The date that this version was modified.
    `virtualNode` - The VirtualNode that this version belongs to.

Method Detail

### getVersionName

    public String getVersionName()

  Gets the name of this version.

### getModifiedBy

    public String getModifiedBy()

  Gets the id of the last user that modified this version.

### getModifiedDate

    public Calendar getModifiedDate()

  Gets the date this version was last modified.

### getVirtualNode

    public VirtualNode getVirtualNode()

  Gets the VirtualNode object that is associated with this Version

### toString

    public String toString()

  Returns the attributes of this Node in a String.

  Overrides:
    `toString` in class `VersionableContent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved